%global momorel 3

Name:           perl-SQL-Statement
Version:        1.27
Release:        %{momorel}m%{?dist}
Summary:        SQL parsing and processing engine
Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/SQL-Statement/
Source0:	http://www.cpan.org/authors/id/R/RE/REHSACK/SQL-Statement-%{version}.tar.gz
NoSource:	0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-DBI
BuildRequires:  perl-DBD-XBase
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
The SQL::Statement module implements a pure Perl SQL parsing and execution
engine.  While it by no means implements full ANSI standard, it does support
many features including column and table aliases, built-in and user-defined
functions, implicit and explicit joins, complexly nested search conditions, and
other features.

%prep
%setup -q -n SQL-Statement-%{version}
find . -type f -exec chmod -c a-x {} ';'
%{__perl} -pi -e 's/\r\n/\n/' Changes README

%build
env SQL_STATEMENT_WARN_UPDATE=sure %{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/SQL/*
%{_mandir}/man3/*.3pm*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.27-3m)
- full rebuild for mo7 release

* Wed Jul 28 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.27-2m)
- version down to 1.27
- build with DBI <= 1.611
- DBD::CSV could not be built with 1.28

* Fri Jul 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.28-1m)
- update to 1.28

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.27-2m)
- rebuild against perl-5.12.1

* Fri May  7 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.27-1m)
- update to 1.27

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.26-3m)
- rebuild against perl-5.12.0

* Sun Apr 11 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.26-2m)
- add "env SQL_STATEMENT_WARN_UPDATE=sure" at perl Makefile.PL for force update

* Sun Apr 11 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.26-1m)
- update to 1.26
 
* Sun Mar 21 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.25-1m)
- update to 1.25

* Wed Jan 20 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.23-2m)
- change source download URL from by-module to authors
- www.cpan.org/modules/by-module was not updated

* Wed Nov 25 2009 NARITA Koichi <pulsar@momonga-liux.org>
- (1.23-1m)
- update to 1.23

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.22-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sun Oct 11 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.22-1m)
- update to 1.22

* Tue Sep 22 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.21-0.4.1m)
- update to 1.21_4

* Sat Sep 19 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.21-0.3.1m)
- update to 1.21_3

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.20-3m)
- rebuild against perl-5.10.1

* Sat May 23 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.20-2m)
- specify perl-DBI version

* Sun Mar  8 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.20-1m)
- update to 1.20

* Wed Feb 11 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.19-1m)
- update to 1.19

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.15-3m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.15-2m)
- rebuild against gcc43

* Thu Aug 30 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.15-1m)
- Specfile autogenerated by cpanspec 1.73 for Momonga Linux.
